#ifndef XFXTRAILDEF_H
#define XFXTRAILDEF_H

#include "xasset.h"
#include "xfxtrailvertex.h"

#include <QVector>

class XFxTrailDef : public XAsset
{
public:
    explicit XFxTrailDef();
    ~XFxTrailDef();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    int mScrollTimeMsec;
    int mRepeatDist;
    int mSplitDist;
    int mVertCount;
    QVector<XFxTrailVertex> mVerts;
    int mIndCount;
    QVector<quint32> mIndices;
};

#endif // XFXTRAILDEF_H
